DebugDef (cpptasks 1.0b5 API)
Keywords: net.sf.antcontrib.cpptasks.ide.DebugDef class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks.ide
Class DebugDef

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.types.DataType
              net.sf.antcontrib.cpptasks.ide.DebugDef

    public final class DebugDef

extends org.apache.tools.ant.types.DataType

Specifies a debugging configuration for a project.

Author:
  Curt Arnold

Field Summary

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, description, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`DebugDef()` Constructor.

Method Summary
`void` | `addEnv(org.apache.tools.ant.types.Environment.Variable var)` Add an environment variable.
`org.apache.tools.ant.types.Commandline.Argument` | `createArg()` Adds a command-line argument.
`java.lang.String[]` | `getArguments()` Returns all arguments defined by `addLine`, `addValue` or the argument object.
`java.io.File` | `getDir()` Get the working directory of the process.
`java.lang.String` | `getExecutable()` Get the name of the executable program.
`java.lang.String[]` | `getVariables()` Get the variable list as an array.
`void` | `setDir(java.io.File d)` Set the working directory of the process.
`void` | `setExecutable(java.lang.String value)` Set the name of the executable program.

Methods inherited from class org.apache.tools.ant.types.DataType
`checkAttributesAllowed, checkChildrenAllowed, circularReference, dieOnCircularReference, getCheckedRef, getDescription, getRefid, isChecked, isReference, noChildrenAllowed, setChecked, setDescription, setRefid, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DebugDef

    public DebugDef()

  Constructor.

Method Detail

### setExecutable

    public void setExecutable(java.lang.String value)

  Set the name of the executable program.

  Parameters:
    `value` - the name of the executable program

### getExecutable

    public java.lang.String getExecutable()

  Get the name of the executable program.

  Returns:
    the name of the executable program, may be null.

### setDir

    public void setDir(java.io.File d)

  Set the working directory of the process.

  Parameters:
    `d` - the working directory of the process

### getDir

    public java.io.File getDir()

  Get the working directory of the process.

  Returns:
    the working directory of the process, may be null.

### addEnv

    public void addEnv(org.apache.tools.ant.types.Environment.Variable var)

  Add an environment variable.

  Parameters:
    `var` - new environment variable

### getVariables

    public java.lang.String[] getVariables()

  Get the variable list as an array.

  Returns:
    array of key=value assignment strings

### createArg

    public org.apache.tools.ant.types.Commandline.Argument createArg()

  Adds a command-line argument.

  Returns:
    new command line argument created

### getArguments

    public java.lang.String[] getArguments()

  Returns all arguments defined by `addLine`, `addValue` or the argument object.

  Returns:
    array of command line arguments, may be zero-length.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.